package load_instructions is

    use std.textio.all;
    use work.memory_instructions.all;

    type load_instruction is
        new memory_instruction with record
            destination : register_number; 
        end record load_instruction;
    
	procedure perform_memory_instruction ( instr : load_instruction );
    
	procedure disassemble ( instr : load_instruction;  L : inout line );

end package load_instructions;
